FAVE-SPI FLAM Anti Virus Exit (FAVE) Service Provider Interface (SPI)

Data Fields
FavePar Union Reference
Function structures

FAVE Union of function structures. More...

`#include <FAVE.h>`

## Data Fields
TsFaveOpn | stOpn
| [INOUT] Structure for function code FAVE_FUNC_OPN More...
TsFaveRun | stRun
| [INOUT] Structure for function code FAVE_FUNC_RUN More...
TsFaveCls | stCls
| [INOUT] Structure for function code FAVE_FUNC_CLS More...

## Detailed Description

FAVE Union of function structures.

This union must be used to access structure fields depending on the function code that was passed to the exit function. Only the member that corresponds to the function code may be accessed. Failing to do so results in undefined behavior!

## Field Documentation

## ◆ stCls

TsFaveCls FavePar::stCls

[INOUT] Structure for function code FAVE_FUNC_CLS

## ◆ stOpn

TsFaveOpn FavePar::stOpn

[INOUT] Structure for function code FAVE_FUNC_OPN

## ◆ stRun

TsFaveRun FavePar::stRun

[INOUT] Structure for function code FAVE_FUNC_RUN

The documentation for this union was generated from the following file:

- FAVE.h